Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.util
[Java] Class CallableClosure

    java.lang.Object
      griffon.util.CallableClosure

All Implemented Interfaces:
  Callable

    public class CallableClosure
    extends Object

Helper class that executes a Closure as Callable.

Authors:
  Andres Almiray

Field Summary
`private Closure` | `closure`

Constructor Summary
`CallableClosure(Closure closure)`

Method Summary
`Object` | `call()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### closure

    private final Closure closure

Constructor Detail

### CallableClosure

    public CallableClosure(Closure closure)

Method Detail

### call

    public Object call()

Groovy Documentation